package com.ruoyi.ccb.service;

import javax.jws.WebMethod;
import javax.jws.WebService;

/**
 * CCB-SOAP接口
 *
 * @author s
 */
@WebService(targetNamespace = "http://service.ccb.ruoyi.com/")
public interface CcbService {

    /**
     * 查询保管凭证号
     * @param json 报文
     * @return 结果
     */
    @WebMethod
    String takeVoucherIsExist(String json);

    /**
     * 保管凭证号详情
     * @param json 报文
     * @return 结果
     */
    @WebMethod
    String takeVoucherDetail(String json);

    /**
     * 同步出质
     * @param json 报文
     * @return 结果
     */
    @WebMethod
    String cargoPledge(String json);

    /**
     * 同步提货
     * @param json 报文
     * @return 结果
     */
    @WebMethod
    String cargoPledgeOut(String json);

    /**
     * 移库请求
     * @param json 报文
     * @return 结果
     */
    @WebMethod
    String moveCargoReq(String json);

    /**
     * 入库请求
     * @param json 报文
     * @return 结果
     */
    @WebMethod
    String inCargoReq(String json);

    /**
     * 出库请求
     * @param json 报文
     * @return 结果
     */
    @WebMethod
    String outCargoReq(String json);

    /**
     * 保管凭证号详情
     * @param json 报文
     * @return 结果
     */
    @WebMethod
    String checkCargoCmd(String json);

    /**
     * 同步用户信息
     * @param json 报文
     * @return 结果
     */
    @WebMethod
    String syncOrg(String json);

    /**
     * 生成仓单编号
     * @param json 报文
     * @return 结果
     */
    @WebMethod
    String generateWrNumber(String json);

    /**
     * 作废仓单编号指令
     * @param json 报文
     * @return 结果
     */
    @WebMethod
    String cancelWrNumber(String json);

    /**
     * 查询提单号
     * @param json 报文
     * @return 结果
     */
    @WebMethod
    String blNumberIsExist(String json);

    /**
     * 提单号详情
     * @param json 报文
     * @return 结果
     */
    @WebMethod
    String blNumberDetail(String json);

    /**
     * 查询用户资产
     * @param json 报文
     * @return 结果
     */
    @WebMethod
    String queryAssets(String json);

}
